[Stable Update x32] 2018-02-15 - Kernels, OpenJDK 8

update
stable
manjaro32

#1

Hello i686ers!

This is a smaller update set which updates kernels 4.1, 4.9, and 4.14 (with extramodules) as well as OpenJDK 8.


Available kernels

Series Version
linux316 3.16.53
linux41 4.1.49
linux44 4.4.115
linux49 4.9.81
linux414 4.14.19

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

There will be a new release as soon as I refresh myself on how to do it. :slight_smile:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

The update announcement process will look something like:

Unstable Testing Stable Threads
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
Sync Update unstable
Sync Snap Update testing, update unstable
Snap New stable, close testing and unstable
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
etc. etc. etc. etc.

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-15
-------------------------------------------------------------------------------
                             linux41             4.1.48-3             4.1.49-1
                     linux41-headers             4.1.48-3             4.1.49-1
                            linux414            4.14.18-1            4.14.19-1
                    linux414-headers            4.14.18-1            4.14.19-1
                             linux49             4.9.80-1             4.9.81-1
                     linux49-headers             4.9.80-1             4.9.81-1
                     manjaro-release             17.1.4-1             17.1.5-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-15
-------------------------------------------------------------------------------
                   linux41-acpi_call             1.1.0-32             1.1.0-33
                 linux41-broadcom-wl      6.30.223.271-13      6.30.223.271-14
                    linux41-catalyst     1:15.201.1151-29     1:15.201.1151-30
                      linux41-nvidia           1:390.25-1           1:390.25-2
                linux41-nvidia-304xx          1:304.137-7          1:304.137-8
                linux41-nvidia-340xx            340.106-3            340.106-4
       linux41-open-vm-tools-modules      2:2013.09.16-32      2:2013.09.16-33
                       linux41-r8168           8.045.08-3           8.045.08-4
                   linux41-rt3562sta        2.4.1.1_r4-13        2.4.1.1_r4-14
                         linux41-spl              0.7.5-3              0.7.5-4
                 linux41-vhba-module          20161009-13          20161009-14
    linux41-virtualbox-guest-modules              5.2.6-3              5.2.6-4
     linux41-virtualbox-host-modules              5.2.6-3              5.2.6-4
                         linux41-zfs              0.7.5-3              0.7.5-4
                  linux414-acpi_call             1.1.0-16             1.1.0-17
                   linux414-bbswitch               0.8-16               0.8-17
                linux414-broadcom-wl      6.30.223.271-16      6.30.223.271-17
                linux414-ndiswrapper             1.61-3.5              1.61-17
                     linux414-nvidia           1:390.25-2           1:390.25-3
               linux414-nvidia-304xx         1:304.137-16         1:304.137-17
               linux414-nvidia-340xx            340.106-4            340.106-5
                      linux414-r8168           8.045.08-4           8.045.08-5
                  linux414-rt3562sta        2.4.1.1_r4-16        2.4.1.1_r4-17
                        linux414-spl              0.7.5-6              0.7.5-7
                   linux414-tp_smapi              0.41-16              0.41-17
                linux414-vhba-module          20161009-16          20161009-17
   linux414-virtualbox-guest-modules              5.2.6-4              5.2.6-5
    linux414-virtualbox-host-modules              5.2.6-4              5.2.6-5
                        linux414-zfs              0.7.5-6              0.7.5-7
                   linux49-acpi_call           1.1.0-62.0             1.1.0-63
                    linux49-bbswitch             0.8-62.0               0.8-63
                 linux49-broadcom-wl    6.30.223.271-62.0      6.30.223.271-63
                    linux49-catalyst   1:15.201.1151-62.0     1:15.201.1151-63
                 linux49-ndiswrapper              1.61-47              1.61-61
                      linux49-nvidia           1:390.25-1           1:390.25-2
                linux49-nvidia-304xx       1:304.137-21.0         1:304.137-22
                linux49-nvidia-340xx          340.106-2.0            340.106-3
                       linux49-r8168         8.045.08-2.0           8.045.08-3
                   linux49-rt3562sta      2.4.1.1_r4-60.0        2.4.1.1_r4-61
                         linux49-spl            0.7.5-4.0              0.7.5-5
                    linux49-tp_smapi            0.41-62.0              0.41-63
                 linux49-vhba-module        20161009-60.0          20161009-61
    linux49-virtualbox-guest-modules            5.2.6-2.0              5.2.6-3
     linux49-virtualbox-host-modules            5.2.6-2.0              5.2.6-3
                         linux49-zfs            0.7.5-4.0              0.7.5-5
                   ndiswrapper-utils               1.61-3              1.61-17
                    rt3562sta-common        2.4.1.1_r4-60        2.4.1.1_r4-61
                        jdk8-openjdk                    -             8.u162-0
                        jre8-openjdk                    -             8.u162-0
               jre8-openjdk-headless                    -             8.u162-0
                        openjdk8-doc                    -             8.u162-0
                        openjdk8-src                    -             8.u162-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-15
-------------------------------------------------------------------------------
                  chrome-gnome-shell                  9-1               10-1.0
                      geoip-database         20180102-1.0         20180206-1.0
                geoip-database-extra         20180102-1.0         20180206-1.0
                              recode               3.6-10              3.7-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-15
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.93.0.72-1         3.93.0.119-1
             adapta-black-maia-theme          3.93.0.72-1         3.93.0.119-1
                 adapta-breath-theme          3.93.0.72-1         3.93.0.119-1
                   adapta-maia-theme          3.93.0.72-1         3.93.0.119-1
                 manjaro-i3-settings           20180208-1           20180213-1
                          mate-tweak            18.04.8-1            18.04.9-1
             papirus-maia-icon-theme                    -           20180201-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-15
-------------------------------------------------------------------------------
              deepin-shortcut-viewer            1.3.3-2.0            1.3.4-1.0
                            fail2ban             0.10.1-2           0.10.2-1.0
                               gnurl             7.56.1-1           7.58.0-1.0
                             keybase           1.0.40-1.0           1.0.41-1.0
                           libpinyin              2.1.0-1           2.1.91-1.0
                                  mu           0.9.18-2.0              1.0-1.0
                          pastebinit                1.5-1              1.5-2.0
                          patchutils              0.3.4-1            0.3.4-2.0
                  python-jsonpointer               1.14-1              2.0-1.0
                     python-psycopg2            2.7.3.2-1            2.7.4-1.0
                 python2-jsonpointer               1.14-1              2.0-1.0
                    python2-psycopg2            2.7.3.2-1            2.7.4-1.0
                         renameutils             0.12.0-4           0.12.0-5.0
                               timew            1.1.0-1.0            1.1.1-1.0
                               unrtf             0.21.9-2           0.21.9-3.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



#2

Known issues and solutions

This is a wiki post; please edit as necessary.


I can’t update because of a driver package

If you get something like:

error: failed to prepare transaction (could not satisfy dependencies)
:: linux413-nvidia: installing nvidia-utils (1:390.25-1) breaks dependency 'nvidia-utils=1:384.111'

it’s because you’ve got an EOL kernel installed still. Remove it then try updating again,

sudo mhwd-kernel -r linux413
sudo pacman -Syyu

Oh, and make sure you have a current kernel installed too. Don’t remove your last/only kernel…



#3

Short and sweet. Very smooth updates.
Thank you for your dedication and hard work. It is much appreciated.


#4

Em…, Any news about x64 that is still Febraury 3rd?..


#5

Please see the x64 thread.

This thread doesn’t have any effect or relation to the x64 stuff.


#6

Strange things happens sometimes :slight_smile:


closed #7

This topic was automatically closed after 2 days. New replies are no longer allowed.